// _GestionCld_Interface.java
// Created on 23 sept. 2010 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.conges.interfaces;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _GestionCld_Interface extends COFrame {

    /** Creates new form _GestionCld_Interface */
    public _GestionCld_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        displayGroup = new org.cocktail.component.CODisplayGroup();
        displayGroupDetail = new org.cocktail.component.CODisplayGroupDetail();
        cOView1 = new org.cocktail.component.COView();
        vueTexte = new org.cocktail.component.COTextArea();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        cOTextField2 = new org.cocktail.component.COTextField();
        jLabel4 = new javax.swing.JLabel();
        cOTextField1 = new org.cocktail.component.COTextField();
        cOCheckbox1 = new org.cocktail.component.COCheckbox();
        cOTextField3 = new org.cocktail.component.COTextField();
        jLabel1 = new javax.swing.JLabel();
        cOLabel1 = new org.cocktail.component.COLabel();
        cOView2 = new org.cocktail.component.COView();
        tableDetail = new org.cocktail.component.COTable();
        jLabel6 = new javax.swing.JLabel();
        cOTextField4 = new org.cocktail.component.COTextField();
        jLabel5 = new javax.swing.JLabel();
        cOTextField5 = new org.cocktail.component.COTextField();
        cOCheckbox2 = new org.cocktail.component.COCheckbox();
        cOButton1 = new org.cocktail.component.COButton();
        cOButton3 = new org.cocktail.component.COButton();
        vueArretes = new org.cocktail.component.COView();
        vueArrete = new org.cocktail.component.COView();
        contenuVueArrete = new org.cocktail.component.COView();
        cOButton9 = new org.cocktail.component.COButton();
        cOButton10 = new org.cocktail.component.COButton();

        displayGroup.setEntityName("Cld");
        displayGroup.setHasDelegate(true);
        displayGroup.setIsMainDisplayGroupForController(true);

        displayGroupDetail.setDetailRelationship("details");
        displayGroupDetail.setDisplayGroupMaster(displayGroup);
        displayGroupDetail.setEntityName("DetailConge");
        displayGroupDetail.setHasDelegate(true);

        setControllerClassName("org.cocktail.mangue.client.conges.GestionCld");
        setSize(new java.awt.Dimension(531, 565));

        cOView1.setIsBox(true);

        vueTexte.setDisplayGroupForValue(displayGroup);
        vueTexte.setShouldRefreshImmediately(true);
        vueTexte.setSupportsBackgroundColor(true);
        vueTexte.setValueName("commentaire");

        jLabel2.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel2.setText("Commentaire");

        jLabel3.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel3.setText("DEBUT");

        cOTextField2.setDisplayGroupForValue(displayGroup);
        cOTextField2.setEnabledMethod("peutModifierDate");
        cOTextField2.setSupportsBackgroundColor(true);
        cOTextField2.setValueName("dateDebutFormatee");

        jLabel4.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel4.setText("FIN");

        cOTextField1.setDisplayGroupForValue(displayGroup);
        cOTextField1.setEnabledMethod("peutModifierDate");
        cOTextField1.setSupportsBackgroundColor(true);
        cOTextField1.setValueName("dateFinFormatee");

        cOCheckbox1.setDisplayGroupForValue(displayGroup);
        cOCheckbox1.setEnabledMethod("peutProlonger");
        cOCheckbox1.setText("Prolongation");
        cOCheckbox1.setValueName("estProlonge");

        cOTextField3.setDisplayGroupForValue(displayGroup);
        cOTextField3.setSupportsBackgroundColor(true);
        cOTextField3.setValueName("dateComMedFormatee");

        jLabel1.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel1.setText("Date de l'avis du comité médical");

        cOLabel1.setFont(new java.awt.Font("Helvetica", 0, 11)); // NOI18N
        cOLabel1.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        cOLabel1.setValueName("compteurCommentaire");
        cOLabel1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cOLabel1ActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout cOView1Layout = new org.jdesktop.layout.GroupLayout(cOView1);
        cOView1.setLayout(cOView1Layout);
        cOView1Layout.setHorizontalGroup(
            cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView1Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                        .add(vueTexte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 469, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel2))
                    .add(cOView1Layout.createSequentialGroup()
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, cOView1Layout.createSequentialGroup()
                                .add(10, 10, 10)
                                .add(jLabel3)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(42, 42, 42)
                                .add(jLabel4)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(cOView1Layout.createSequentialGroup()
                                .add(jLabel1)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(cOTextField3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .add(40, 40, 40)
                        .add(cOCheckbox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(14, 14, 14)))
                .addContainerGap(16, Short.MAX_VALUE))
            .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView1Layout.createSequentialGroup()
                .addContainerGap(431, Short.MAX_VALUE)
                .add(cOLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 52, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        cOView1Layout.setVerticalGroup(
            cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView1Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel3)
                    .add(cOCheckbox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel4))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOTextField3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel1))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabel2)
                .add(0, 0, 0)
                .add(vueTexte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 111, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(12, 12, 12))
        );

        cOView2.setIsBox(true);
        cOView2.setTitle("Détails de rémunération");

        tableDetail.setColumns(new Object[][] {{"%d/%m/%Y","dateDebut",new Integer(0),"Début",new Integer(0),new Integer(86),new Integer(1000),new Integer(10)},{"%d/%m/%Y","dateFin",new Integer(0),"Fin",new Integer(0),new Integer(86),new Integer(1000),new Integer(10)},{"0","numTaux",new Integer(0),"Taux",new Integer(0),new Integer(82),new Integer(1000),new Integer(10)}});
        tableDetail.setDisplayGroupForTable(displayGroupDetail);

        jLabel6.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel6.setText("DEBUT");

        cOTextField4.setDisplayGroupForValue(displayGroupDetail);
        cOTextField4.setEnabledMethod("peutModifierDetail");
        cOTextField4.setSupportsBackgroundColor(true);
        cOTextField4.setValueName("dateFinFormatee");
        cOTextField4.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cOTextField4ActionPerformed(evt);
            }
        });

        jLabel5.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel5.setText("FIN");

        cOTextField5.setDisplayGroupForValue(displayGroupDetail);
        cOTextField5.setEnabledMethod("nonModifiable");
        cOTextField5.setSupportsBackgroundColor(true);
        cOTextField5.setValueName("dateDebutFormatee");

        cOCheckbox2.setDisplayGroupForValue(displayGroupDetail);
        cOCheckbox2.setEnabledMethod("peutModifierQuotite");
        cOCheckbox2.setText("Plein Traitement");
        cOCheckbox2.setValueName("estPleinTraitement");

        cOButton1.setActionName("ajouterDetail");
        cOButton1.setBorderPainted(false);
        cOButton1.setEnabledMethod("peutAjouterDetail");
        cOButton1.setIconName("ajouter16.gif");

        cOButton3.setActionName("supprimerDetail");
        cOButton3.setBorderPainted(false);
        cOButton3.setEnabledMethod("peutModifierDetail");
        cOButton3.setIconName("supprimer16.gif");

        org.jdesktop.layout.GroupLayout cOView2Layout = new org.jdesktop.layout.GroupLayout(cOView2);
        cOView2.setLayout(cOView2Layout);
        cOView2Layout.setHorizontalGroup(
            cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView2Layout.createSequentialGroup()
                .add(20, 20, 20)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOCheckbox2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOView2Layout.createSequentialGroup()
                        .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(cOView2Layout.createSequentialGroup()
                                .add(jLabel6)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 76, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 45, Short.MAX_VALUE)
                                .add(jLabel5)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 76, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(tableDetail, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 274, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(2, 2, 2)
                        .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(cOButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOButton3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap(10, Short.MAX_VALUE))
        );
        cOView2Layout.setVerticalGroup(
            cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView2Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(cOView2Layout.createSequentialGroup()
                        .add(cOButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(cOButton3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(tableDetail, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 104, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel6)
                    .add(cOTextField4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel5)
                    .add(cOTextField5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(cOCheckbox2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(10, Short.MAX_VALUE))
        );

        vueArrete.setFont(new java.awt.Font("Helvetica", 3, 11));
        vueArrete.setIsBox(true);
        vueArrete.setTitle("Arrêté");

        org.jdesktop.layout.GroupLayout contenuVueArreteLayout = new org.jdesktop.layout.GroupLayout(contenuVueArrete);
        contenuVueArrete.setLayout(contenuVueArreteLayout);
        contenuVueArreteLayout.setHorizontalGroup(
            contenuVueArreteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 478, Short.MAX_VALUE)
        );
        contenuVueArreteLayout.setVerticalGroup(
            contenuVueArreteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 48, Short.MAX_VALUE)
        );

        org.jdesktop.layout.GroupLayout vueArreteLayout = new org.jdesktop.layout.GroupLayout(vueArrete);
        vueArrete.setLayout(vueArreteLayout);
        vueArreteLayout.setHorizontalGroup(
            vueArreteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueArreteLayout.createSequentialGroup()
                .addContainerGap()
                .add(contenuVueArrete, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        vueArreteLayout.setVerticalGroup(
            vueArreteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueArreteLayout.createSequentialGroup()
                .addContainerGap()
                .add(contenuVueArrete, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );

        org.jdesktop.layout.GroupLayout vueArretesLayout = new org.jdesktop.layout.GroupLayout(vueArretes);
        vueArretes.setLayout(vueArretesLayout);
        vueArretesLayout.setHorizontalGroup(
            vueArretesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 521, Short.MAX_VALUE)
            .add(vueArretesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                .add(vueArretesLayout.createSequentialGroup()
                    .add(9, 9, 9)
                    .add(vueArrete, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(10, 10, 10)))
        );
        vueArretesLayout.setVerticalGroup(
            vueArretesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 99, Short.MAX_VALUE)
            .add(vueArretesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                .add(vueArretesLayout.createSequentialGroup()
                    .addContainerGap()
                    .add(vueArrete, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(6, 6, 6)))
        );

        cOButton9.setActionName("annuler");
        cOButton9.setBorderPainted(false);
        cOButton9.setIconName("annuler16.gif");

        cOButton10.setActionName("valider");
        cOButton10.setBorderPainted(false);
        cOButton10.setEnabledMethod("peutValider");
        cOButton10.setIconName("valider16.gif");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(98, 98, 98)
                .add(cOView2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 37, Short.MAX_VALUE)
                .add(cOButton9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(49, 49, 49))
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOView1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(vueArretes, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(13, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(10, 10, 10)
                .add(cOView1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 227, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(vueArretes, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOView2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(cOButton9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(24, 24, 24))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void cOTextField4ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cOTextField4ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_cOTextField4ActionPerformed

    private void cOLabel1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cOLabel1ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_cOLabel1ActionPerformed
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.component.COButton cOButton1;
    public org.cocktail.component.COButton cOButton10;
    public org.cocktail.component.COButton cOButton3;
    public org.cocktail.component.COButton cOButton9;
    public org.cocktail.component.COCheckbox cOCheckbox1;
    public org.cocktail.component.COCheckbox cOCheckbox2;
    public org.cocktail.component.COLabel cOLabel1;
    public org.cocktail.component.COTextField cOTextField1;
    public org.cocktail.component.COTextField cOTextField2;
    public org.cocktail.component.COTextField cOTextField3;
    public org.cocktail.component.COTextField cOTextField4;
    public org.cocktail.component.COTextField cOTextField5;
    private org.cocktail.component.COView cOView1;
    private org.cocktail.component.COView cOView2;
    public org.cocktail.component.COView contenuVueArrete;
    public org.cocktail.component.CODisplayGroup displayGroup;
    public org.cocktail.component.CODisplayGroupDetail displayGroupDetail;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    public org.cocktail.component.COTable tableDetail;
    public org.cocktail.component.COView vueArrete;
    public org.cocktail.component.COView vueArretes;
    public org.cocktail.component.COTextArea vueTexte;
    // End of variables declaration//GEN-END:variables
                  

}
